Skip to content

Send a test alert

POST
/api/v1/alerts/{alert_uuid}/test
curl --request POST \
--url https://app.hostrepute.com/api/v1/alerts/01a178db-d7b6-7131-a50c-cb60224dd1cd/test \
--header 'Authorization: Bearer <token>'

Send one test alert to the channel so you can check it arrives. Webhook channels receive the alert.test event. You can send 5 test alerts per minute per team.

Needs the alert:update ability.

alert_uuid
required
string

The UUID of the alert channel.

Example

01a178db-d7b6-7131-a50c-cb60224dd1cd
Media typeapplication/json
object
message
string

Example

{
"message": "Test alert sent."
}

No alert channel with this UUID in your team

Media typeapplication/json
object
message
string

Example

{
"message": "No query results for model [App\\Models\\Alert] 01a178db-d7b6-7131-a50c-cb60224dd1cd"
}

The channel’s URL isn’t a public HTTPS address

Media typeapplication/json
object
message
string
errors
object
settings
Array<string>

Example

{
"message": "The configured destination URL is not a valid public HTTPS endpoint.",
"errors": {
"settings": [
"The configured destination URL is not a valid public HTTPS endpoint."
]
}
}